Subject: pgperl test

From: Eric P Dean <[email-masked]>
Date: Thu, 23 Feb 1995 13:11:02 CST

Now that I am using the correct version of perl, I have a new problem.
When I run the testlibpq.pl it does well untill it gets to this point:

Testing other things:
Opening 2 portals:
Number of portals open: 2
Segmentation fault
->

It seems to die in the following section of code from testlibpq.pl:

ANY ADVICE WOULD BE GREATLY APPRECIATED!!

sub test_rest {
    printf("Opening 2 portals:\n");
    &doPQexec ("begin");
    &doPQexec ("retrieve portal eportal (person.all)");
    &doPQexec ("fetch all in eportal");
    &doPQexec ("retrieve portal fportal (person.all)");
    &doPQexec ("fetch all in fportal");
>>  printf("Number of portals open: %d\n", &PQnportals(0));
    @names = &PQpnames (0);
    print "Portal names: ", join(', ',@names), ".\n";
    $p = &PQparray ("eportal");
    printf("Portal eportal %s asynchronous.\n",&PQrulep($p) ? "is" : "is not");
    printf("Portal eportal has %d tuples.\n",&PQntuples($p));
    printf("Portal eportal has %d instances.\n",&PQninstances($p));
    printf("Portal eportal has %d groups.\n",&PQngroups($p));
    printf("Portal eportal group 0 has %d instances.\n",&PQninstancesGroup($p,0)
);

Eric Dean
Curator, Visual Resources Collection
College of Design, Iowa State University

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]".
   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================
              URL: http://s2k-ftp.CS.Berkeley.EDU:8000/postgres/